# OnAboutScript

The **OnAboutScript** event can be implemented by a [script add-in](https://chaoses-ib.gitbook.io/directory-opus/manual/scripting/script_add-ins) to display an "about" dialog to the user. It is triggered when the user clicks the *About* button for a script on the [**Script Management**](https://chaoses-ib.gitbook.io/directory-opus/manual/scripting/script_management) dialog.

| **Method Name:**   | OnAboutScript                                                                                                                                                                                                                                       |
| ------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Argument Type:** | \*\*[AboutData](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/aboutdata) \*\*                                                                                                                 |
| **Return Type:**   | *none*                                                                                                                                                                                                                                              |
| **Description:**   | The usual implementation for this event would use the **AboutData.window** parameter to display a dialog using the [**Dialog**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/dialog) object. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_events/onaboutscript.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
